#ifndef CONFIG_H
#define CONFIG_H
//------------------------------------------

// needed to define SIZE_MAX
#include <cmath>
#define __STDC_LIMIT_MACROS 
#include <stdint.h>
#include <string>
#define NONE SIZE_MAX


//------------------------------------------

const int Buf_size=1024;  // size of a buffer 

#ifdef ONE_D_SHOCKTUBE

#undef DIM
#define DIM 1
#undef PERIODIC

#elif defined(TWO_D_KH)

#undef  DIM
#define DIM 2
#ifdef PERIODIC
#undef PERIODIC
#define PERIODIC (1)
#endif

#ifndef PERIODIC
#define PERIODIC (1)
#endif

#elif defined(THREE_D_SEDOV)
#undef DIM
#define DIM 3

#ifdef PERIODIC
#undef PERIODIC 
#define PERIODIC (1)
#endif

#ifndef PERIODIC
#define PERIODIC (1)
#endif

#endif

#ifndef DOUBLEPRECISION
typedef float real; 
#else 
typedef double real; 
#endif

#ifndef LONGINT
typedef int integer; 
typedef unsigned int uinteger; 
#else 
typedef long long integer; 
typedef unsigned long long uinteger; 
#endif

#ifndef M_PI
#define M_PI            (3.1415926535898)
#endif 

extern std::string OutputFileBase; 
extern double BegTime; 
extern double MaxTime; 
extern double DtOutput; 

#ifdef PERIODIC
const real BoxSize = PERIODIC; 

inline void periodic_dx (double& dx) 
{
  if (dx > 5.e-1 * BoxSize) 
    dx -= BoxSize; 
  else if ( dx  < -5.e-1 * BoxSize) 
    dx += BoxSize; 
}
#endif

//------------------------------------------
#endif
