#include "config.h"
#include "particledata.h"

#if defined(ONE_D_SHOCKTUBE) || defined(TWO_D_KH) || defined(THREE_D_SEDOV) 
int Ngrid;
#endif 

//--- Global variables for SPH calculation -------------
double Gamma,  Gamma_1; 
double ArtBulkViscConst, CourantFac; 
#ifdef REDUCEVISC
double MinAlpha, ViscParam, ViscDecayLength; 
#endif
double Nngb; 
double MinNngb, MaxNngb; 
#ifdef AC
double ArtBulkCondConst; 
#endif
//-------------------------------------------------------


ParticleData::ParticleData(void) {

  for (int i = 0; i != DIM; ++i) {
    pos[i] = vel[i] = half_step_v[i] = acc[i] = 0; 
  }
#if (DIM > 1) 
  curl = 0; 
#endif 
  hsml = 1.0; // shouldn't be zero
  mass = entropy = dt_entropy = dt_entropy_old = 0; 
  density = divv = dhsmldensityfactor = max_signal_vel = 0; 

#ifdef REDUCEVISC
  alpha = ArtBulkViscConst; 
  dt_alpha = 0; 
#endif

#ifdef AC
  alpha_u = 0; 
  dt_alpha_u = 0; 
#endif
}
